#!/usr/bin/env ruby
# coding: utf-8

require 'csv'                           # CSVライブラリ読み込み
#観光スポット一覧で使うcsvファイル読み込み
data = CSV.read("syounai.csv", :headers => true)
#webページ検索で使うcsvファイル読み込み
meisho = CSV.read("web.csv", headers: true)
while true
 puts "1 観光スポット一覧"
 puts "2 観光スポットwebページ検索"
 puts "0 終了"
 print "どれかひとつ選んでください => "
 input=gets.to_i
 if input == 0 then            #もしinputが0だったとき
   break #終了する
 elsif input == 1 then         #もしinputが1だったとき
   #↓行ごとに取り出す
   n = 0	
   data.each{|row|             # rowには1行ずつ値が入り繰り返される
     printf("%d: %sとはどんなところ？\n", n+=1, row["建物名"])               
     printf("住所 => %s \n特徴 => %s \n",row["住所"], row["特徴"])
     print("--------------------------\n") }#仕切りの機能（何個あってもいい）
 elsif input == 2 then                      #もしinputが2だったとき
   i=0
   for x in meisho                        # 1行ずつxに取り出す
     printf("%d: %s\n", i+=1, x['place']) # 添字に見出し項目を指定して取り出す
   end
   print("何番のWebを見たいですか: ")
   num = gets.to_i-1
   if num >= 0 && num < meisho.length
     printf("%s ですね。%s をブラウザで開きます.\n",
            meisho[num]['place'], meisho[num]['url'])
     # ↑meishoのnum行目のレコードの ['place'] 項目を取り出す
     system("firefox "+meisho[num]['url']+"&")
   end
 else
   print "1/2/0から選んでください\n"
 end
end